
Foreman - Feature #26186

add react-router foundation

02/28/2019 10:19 AM - Gilad Lekner

Status: Closed   

Priority: Normal   

Assignee: Gilad Lekner   

Category: JavaScript stack   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6522

  

Description

add foundation for react-router routing and navigation.

Related issues:

Related to Foreman - Refactor #26429: Use react router with breadcrumbs New

Related to Foreman - Bug #26854: disable Turbolinks for 3rd party Routing Closed

Associated revisions

Revision 84ae69c6 - 05/02/2019 09:10 AM - Gilad Lekner 

fixes #26186 - add react-router foundation

History

#1 - 02/28/2019 10:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6522 added

#2 - 04/02/2019 07:03 AM - Ondřej Pražák

- Related to Refactor #26429: Use react router with breadcrumbs added

#3 - 05/02/2019 09:11 AM - Ohad Levy

- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#4 - 05/02/2019 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 84ae69c6bf191837e8c7b4ccadb4583eebeda172.

#5 - 05/22/2019 06:47 PM - Ohad Levy

- Related to Bug #26854: disable Turbolinks for 3rd party Routing added

#6 - 08/05/2019 02:33 PM - Tomer Brisker

- Category changed from Web Interface to JavaScript stack
